# GCC_ConferenceAddResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ConferenceAddResponse:

List of all members.

## Public Types

enum | OptionalFields { e_userData }

## Public Member Functions

| GCC_ConferenceAddResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_tag
GCC_ConferenceAddResponse_result | m_result
GCC_UserData | m_userData

## Member Enumeration Documentation

enum GCC_ConferenceAddResponse::OptionalFields

Enumerator:

  e_userData |

## Constructor & Destructor Documentation

GCC_ConferenceAddResponse::GCC_ConferenceAddResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ConferenceAddResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_ConferenceAddResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ConferenceAddResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ConferenceAddResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ConferenceAddResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ConferenceAddResponse::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer GCC_ConferenceAddResponse::m_tag

GCC_ConferenceAddResponse_result GCC_ConferenceAddResponse::m_result

GCC_UserData GCC_ConferenceAddResponse::m_userData

The documentation for this class was generated from the following file:

- gcc.h